Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.commons.math3.optim.nonlinear.vector
Class MultivariateVectorOptimizer

    java.lang.Object
      org.apache.commons.math3.optim.BaseOptimizer<PAIR>
          org.apache.commons.math3.optim.BaseMultivariateOptimizer<PointVectorValuePair>
              org.apache.commons.math3.optim.nonlinear.vector.MultivariateVectorOptimizer

Direct Known Subclasses:
  JacobianMultivariateVectorOptimizer

    public abstract class MultivariateVectorOptimizer

extends BaseMultivariateOptimizer<PointVectorValuePair>

Base class for a multivariate vector function optimizer.

Since:
  3.1
Version:
  $Id$

Field Summary

Fields inherited from class org.apache.commons.math3.optim.BaseOptimizer
`evaluations, iterations`

Constructor Summary
`protected` | `MultivariateVectorOptimizer(ConvergenceChecker<PointVectorValuePair> checker)`

Method Summary
`protected double[]` | `computeObjectiveValue(double[] params)` Computes the objective function value.
`double[]` | `getTarget()` Gets the observed values to be matched by the objective vector function.
`int` | `getTargetSize()` Gets the number of observed values.
`RealMatrix` | `getWeight()` Gets the weight matrix of the observations.
`PointVectorValuePair` | `optimize(OptimizationData... optData)` Stores data and performs the optimization.

Methods inherited from class org.apache.commons.math3.optim.BaseMultivariateOptimizer
`getLowerBound, getStartPoint, getUpperBound`

Methods inherited from class org.apache.commons.math3.optim.BaseOptimizer
`doOptimize, getConvergenceChecker, getEvaluations, getIterations, getMaxEvaluations, getMaxIterations, incrementEvaluationCount, incrementIterationCount`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### MultivariateVectorOptimizer

    protected MultivariateVectorOptimizer(ConvergenceChecker<PointVectorValuePair> checker)

Parameters:
  `checker` - Convergence checker.

Method Detail

### computeObjectiveValue

    protected double[] computeObjectiveValue(double[] params)

  Computes the objective function value. This method must be called by subclasses to enforce the evaluation counter limit.

  Parameters:
    `params` - Point at which the objective function must be evaluated.
  Returns:
    the objective function value at the specified point.
  Throws:
    `TooManyEvaluationsException` - if the maximal number of evaluations (of the model vector function) is exceeded.

### optimize

    public PointVectorValuePair optimize(OptimizationData... optData)
                                  throws TooManyEvaluationsException,
                                         DimensionMismatchException

  Stores data and performs the optimization.
  The list of parameters is open-ended so that sub-classes can extend it with arguments specific to their concrete implementations.
  When the method is called multiple times, instance data is overwritten only when actually present in the list of arguments: when not specified, data set in a previous call is retained (and thus is optional in subsequent calls).

  Overrides:
    `optimize` in class `BaseMultivariateOptimizer<PointVectorValuePair>`
  Parameters:
    `optData` - Optimization data. The following data will be looked for:
    - `MaxEval`
    - `InitialGuess`
    - `SimpleBounds`
    - `Target`
    - `Weight`
    - `ModelFunction`
  Returns:
    a point/value pair that satifies the convergence criteria.
  Throws:
    `TooManyEvaluationsException` - if the maximal number of evaluations is exceeded.
    `DimensionMismatchException` - if the initial guess, target, and weight arguments have inconsistent dimensions.

### getWeight

    public RealMatrix getWeight()

  Gets the weight matrix of the observations.

  Returns:
    the weight matrix.

### getTarget

    public double[] getTarget()

  Gets the observed values to be matched by the objective vector function.

  Returns:
    the target values.

### getTargetSize

    public int getTargetSize()

  Gets the number of observed values.

  Returns:
    the length of the target vector.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2013 The Apache Software Foundation. All Rights Reserved.